/// <reference types="react" />
export declare type DComboboxKeyboardSupportKey = 'next' | 'prev' | 'first' | 'last' | 'next-level' | 'prev-level';
export interface DComboboxKeyboardSupportRenderProps {
    ksOnKeyDown: React.KeyboardEventHandler;
}
export interface DComboboxKeyboardSupportProps {
    children: (props: DComboboxKeyboardSupportRenderProps) => JSX.Element | null;
    dVisible: boolean;
    dEditable?: boolean;
    dNested?: boolean;
    onVisibleChange?: (dVisible: boolean) => void;
    onFocusChange?: (key: DComboboxKeyboardSupportKey) => void;
}
export declare function DComboboxKeyboardSupport(props: DComboboxKeyboardSupportProps): JSX.Element | null;
