/// <reference types="react" />
import type { DBreakpoints } from './Row';
export declare type DSpanValue = number | true;
export interface DColBaseProps extends React.HTMLAttributes<HTMLDivElement> {
    dSpan?: DSpanValue;
}
export interface DColProps extends DColBaseProps {
    dResponsiveProps?: Record<DBreakpoints, DSpanValue | DColBaseProps>;
}
export declare function DCol(props: DColProps): JSX.Element | null;
