/// <reference types="react" />
import type { DSize } from '../../utils';
import type { DFormControl } from '../form';
export interface DInputProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dFormControl?: DFormControl;
    dModel?: string;
    dType?: React.HTMLInputTypeAttribute;
    dPrefix?: React.ReactNode;
    dSuffix?: React.ReactNode;
    dPasswordToggle?: boolean;
    dNumbetButton?: boolean;
    dClearable?: boolean;
    dSize?: DSize;
    dMax?: number;
    dMin?: number;
    dStep?: number;
    dInteger?: boolean;
    dPlaceholder?: string;
    dDisabled?: boolean;
    dInputProps?: React.InputHTMLAttributes<HTMLInputElement>;
    dInputRef?: React.Ref<HTMLInputElement>;
    onModelChange?: (value: string) => void;
}
export declare function DInput(props: DInputProps): JSX.Element | null;
