/// <reference types="react" />
import type { DMenuMode } from './Menu';
import type { Subject } from 'rxjs';
export interface DSubProps {
    children: React.ReactNode;
    dId: string;
    dDisabled?: boolean;
    dPosinset: [number, number];
    dMode: DMenuMode;
    dInNav: boolean;
    dActive: boolean;
    dExpand: boolean;
    dFocusVisible: boolean;
    dList: React.ReactNode;
    dPopupVisible: boolean;
    dPopupState: boolean;
    dEmpty: boolean;
    dTrigger: 'hover' | 'click';
    dIcon?: React.ReactNode;
    dStep: number;
    dSpace: number;
    dLevel?: number;
    onVisibleChange: (visible: boolean) => void;
    onSubClick: React.MouseEventHandler<HTMLLIElement>;
    updatePosition$: Subject<void>;
}
export declare function DSub(props: DSubProps): JSX.Element | null;
