import type { DUploadFile } from './Upload';
import React from 'react';
export interface DUploadActionProps extends React.HTMLAttributes<HTMLElement> {
    dPreset?: 'preview' | 'download' | 'remove';
}
export interface DUploadActionPropsWithPrivate extends DUploadActionProps {
    __file: DUploadFile;
    __defaultActions?: {
        preview?: (file: DUploadFile) => void;
        download?: (file: DUploadFile) => void;
    };
    __onRemove?: () => void;
}
export declare const DUploadAction: React.ForwardRefExoticComponent<DUploadActionProps & React.RefAttributes<any>>;
