import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { usePrefixConfig, useTranslation } from '../../hooks';
export function DGroup(props) {
    const { children, dId, dList, dEmpty, dLevel = 0 } = props;
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    const [t] = useTranslation();
    return (_jsxs("ul", Object.assign({ className: `${dPrefix}dropdown__group-list`, role: "group", "aria-labelledby": dId }, { children: [_jsx("li", Object.assign({ id: dId, className: `${dPrefix}dropdown__group-title`, style: { paddingLeft: 12 + dLevel * 16 }, role: "presentation" }, { children: children })), dEmpty ? (_jsx("div", Object.assign({ className: `${dPrefix}dropdown__empty`, style: { paddingLeft: 12 + (dLevel + 1) * 16 } }, { children: t('No Data') }))) : (dList)] })));
}
//# sourceMappingURL=Group.js.map