import React from 'react';
export interface DTimelineItem {
    content: [React.ReactNode, React.ReactNode];
    icon?: React.ReactNode;
    status?: 'completed' | 'active' | 'wait' | 'error';
}
export interface DTimelineProps<T extends DTimelineItem> extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dList: T[];
    dVertical?: boolean;
    dLineSize?: number;
}
export declare function DTimeline<T extends DTimelineItem>(props: DTimelineProps<T>): JSX.Element | null;
